<div class="wallet">
    <!-- Wallet Details -->
    <div class="row" *ngIf="hasAccount">
        <div class="col-md-4">
            <div class="row">
                <div class="col-12">
                    <div class="wallet__actions">
                        <div class="wallet_title">
                            <p>ProximaX Wallet (XPX)</p>
                        </div>
                    </div>
                    <div class="keyPanel">
                        <div class="balanceUsd">
                            <p>USD {{xpxBalanceUSD}}</p>
                        </div>

                        <div class="balanceUsd">
                            <small>{{xpxBalance}} XPX</small>
                        </div>
                    </div>
                    <div class="wallet_account">
                        <div class="wallet_key_button" (click)="showKeys(accountKey)">
                            <i class="fa fa-id-card"></i> Account Key
                        </div>
                        <div class="wallet_qr_button" (click)="showQrCode(qrContent)">
                            <i class="fa fa-qrcode"></i> QR code
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-8">
            <div class="staticTable">
                <table class="rwd-table">
                    <tr class="trHead">
                        <th>DATE</th>
                        <th>SENDER</th>
                        <th>MESSAGE</th>
                        <th>AMOUNT</th>
                    </tr>
                    <tr *ngIf="noTransactions">
                        <td colspan="4" class="transPlacement">No transactions yet...</td>
                    </tr>
                    <ng-container *ngIf="hasTransactions">
                        <tr *ngFor="let transactionDetail of transferTransactions; let i = index"
                            (click)="showTransDetails(transactionDetailsContent, transactionDetail)">
                            <td>
                                <div class="trans_date">
                                    <div class="trans_month">{{ transactionDetail.month | uppercase }}</div>
                                    <div class="trans_day">{{ transactionDetail.day }}</div>
                                </div>
                            </td>
                            <td>{{ (transactionDetail.sender | slice:0:12) + '......' + (transactionDetail.sender | slice:-2) }}
                            </td>
                            <td>{{ transactionDetail.message === '' ? 'empty' : (transactionDetail.message | slice:0:8) + '......' }}
                            </td>
                            <td [className]="transactionDetail.type === RAW_ADDRESS ? 'creditClass' : 'debitClass'">
                                {{ transactionDetail.type === RAW_ADDRESS ? ('+' + transactionDetail.amount) : ('-'+transactionDetail.amount) }}
                                XPX
                            </td>
                        </tr>
                    </ng-container>
                </table>
            </div>
        </div>
    </div>

    <!-- Setup Wallet -->
    <div class="row" *ngIf="noAccount">
        <div class="col-md-12">
            <div class="accountCanvass">
                <div class="accountPanel">
                    <img src="../../../assets/images/wallet_icon.png" alt="wallet">
                    <p>Do you have ProximaX Wallet?</p>
                    <div class="accountButton">
                        <div class="create_button" (click)="createWallet()">
                            <button class="login-btn button" type="submit"><i class="fa fa-plus"></i> Create Wallet
                            </button>
                        </div>
                        <div class="link_button" (click)="linkWallet()">
                            <button class="login-btn button" type="submit"><i class="fa fa-link"></i> Link Wallet
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Account Key Modal -->
<ng-template #accountKey let-modal>
    <div class="modal-body">
        <div class="keyCanvass">
            <div class="keyPanel">
                <p class="modalTitle">Account Key</p>
                <div class="keyGroup">
                    <p class="modalSubTitle">Public Key</p>
                    <div class="input-group">
                        <input type="text" class="form-control" value="{{PUBLIC_KEY}}" readonly>
                        <div class="input-group-append">
                            <button class="btn btn-outline-secondary btnCopy" ngxClipboard [cbContent]="PUBLIC_KEY"
                                (click)="copied()">
                                <i class="fa fa-copy"></i>
                            </button>
                        </div>
                    </div>
                </div>

                <div class="keyGroup">
                    <p class="modalSubTitle">Private Key</p>
                    <div class="input-group">
                        <input type="text" class="form-control" value="" readonly>
                        <div class="input-group-append">
                            <button class="btn btn-outline-secondary btnCopy" ngxClipboard [cbContent]="">
                                <i class="fa fa-eye-slash"></i>
                            </button>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-dark" (click)="modal.close('Save click')">Close</button>
    </div>
</ng-template>


<!-- QR Code Modal -->
<ng-template #qrContent let-modal>
    <div class="modal-body">
        <div class="qrCanvass">
            <div class="qrPanel">
                <p class="modalTitle">USD Wallet Address</p>
                <div class="input-group">
                    <input type="text" class="form-control" value="{{ADDRESS}}" readonly>
                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary btnCopy" ngxClipboard [cbContent]="ADDRESS"
                            (click)="copied()" tooltip="Copy Address">
                            <i class=" fa fa-copy"></i>
                        </button>
                    </div>
                </div>
                <ngx-qrcode [(qrc-value)]="ADDRESS"></ngx-qrcode>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-dark" (click)="modal.close('Save click')">Close</button>
    </div>
</ng-template>


<!-- Transaction Details Modal -->
<ng-template #transactionDetailsContent let-modal>
    <div class="modal-body">
        <div class="transCanvass">
            <div class="transPanel">
                <p class="modalTitle">Transaction Information</p>
                <div class="transGroup">
                    <div
                        [className]="transactionDetail.type === RAW_ADDRESS ? 'trans_amount_creditClass' : 'trans_amount_debitClass'">
                        <i class="fa fa-exchange" aria-hidden="true"></i>
                    </div>

                    <div
                        [className]="transactionDetail.type === RAW_ADDRESS ? 'trans_amount_creditClass' : 'trans_amount_debitClass'">
                        {{ transactionDetail.amount }} XPX
                    </div>
                    <div class="transList transList_panel">
                        <div class="transItem">
                            <div class="trans_title">Date</div>
                            <div class="trans_value">
                                {{ transactionDetail.month + ' ' + transactionDetail.day + ',' + transactionDetail.year + ' | ' + transactionDetail.time}}
                            </div>
                        </div>
                        <div class="transItem">
                            <div class="trans_title">Fee</div>
                            <div class="trans_value">{{ transactionDetail.fee }} XPX</div>
                        </div>
                        <div class="transItem">
                            <div class="trans_title">To</div>
                            <div class="trans_value_hash">
                                {{ transactionDetail.address }}
                            </div>
                        </div>
                        <div class="transItem">
                            <div class="trans_title">From</div>
                            <div class="trans_value_hash">
                                {{ ADDRESS }}
                            </div>
                        </div>
                    </div>
                    <div class="transListHash transList_panelHash">
                        <div class="transHash">
                            <div class="trans_hash_code">
                                <p><b>Message</b></p>
                                <div class="messagePanel">
                                    <p class="hash">
                                        {{ transactionDetail.message === '' ? 'empty' : (transactionDetail.message) }}
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="transHash">
                            <div class="trans_hash_code">
                                <p><b>Signer</b></p>
                                <p class="hash">{{ transactionDetail.signer}}</p>
                            </div>
                        </div>
                        <div class="transHash">
                            <div class="trans_hash_code">
                                <p><b>Signature</b></p>
                                <p class="hash">{{ transactionDetail.signature}}</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-dark" (click)="modal.close('Save click')">Close</button>
    </div>
</ng-template>